ncuでnpmモジュールのマイナーバージョンを一括更新する

npmモジュールの更新はnpm-check-updatesを使うと一括更新ができて便利である。

ただ、デフォルトだと全モジュールを最新版(latest)に更新するため、場合によっては既存コードでエラーが起こる可能性がある。

そこで、targetオプションを指定するとマイナーバージョンまでを更新、パッチまでを更新といった設定が可能になる。

ncu --target minor
ncu -u
yarn

参考